Linux repositories inspector

python-nipype - Neuroimaging data analysis pipelines in Python

Nipype interfaces Python to other neuroimaging packages and creates an API for specifying a full analysis pipeline in Python. Currently, it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be extended for other packages (such as lipsia).
1.1.9
Debian iconDebian experimental
1.1.8
Debian iconDebian 10.0
1.1.3
Ubuntu iconUbuntu 19.04
1.1.1
Ubuntu iconUbuntu 18.10
1.0.0
Ubuntu iconUbuntu 18.04 LTS
0.11.0
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb1.1.8-109.02.20191.8 MiB10.7 MiB
Debian iconDebian experimental experimental/maindeb1.1.9-115.03.20191.8 MiB10.7 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb1.0.0+git69-gdb2670326-126.02.20181.76 MiB10.6 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb1.1.1-214.01.20191.79 MiB10.6 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb1.1.3-114.01.20191.79 MiB10.7 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb0.11.0-110.11.20171.35 MiB8.26 MiB

Latest updates

Debian experimental icon

Debian experimental experimental/main: Version 1.1.9-1 introduced

15.03.2019 10:57
  • Fresh upstream release
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 1.1.3-1 to 1.1.8-1

09.02.2019 22:03
  • Fresh upstream release
Debian 10.0 icon

Debian 10.0 buster/main: Version 1.1.3-1 reintroduced

04.02.2019 04:26
  • Fresh upstream release
  • debian/control
    • Suggest python-bids
Debian 10.0 icon

Debian 10.0 buster/main: Version 1.1.3-1 removed

28.01.2019 10:18
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 1.1.3-1 introduced

14.01.2019 13:10
  • Fresh upstream release
  • debian/control
    • Suggest python-bids
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 1.1.1-2 introduced

14.01.2019 03:13
  • debian/control
    • point vcs fields to salsa
  • debian/patches/deb_simplify_requires temporary patch to resolve uninstallable state on older debian/ubuntus
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 1.0.1-1 to 1.1.3-1

12.01.2019 14:07
  • Fresh upstream release
  • debian/control
    • Suggest python-bids
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 1.0.0+git69-gdb2670326-1 to 1.0.1-1

14.03.2018 02:49
  • Fresh upstream release
  • debian/control
    • added python-numpydoc to build-depends
  • debian/rules
    • export FSLOUTPUTTYPE=NIFTI_GZ to avoid useless warnings
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 0.14.0-1 to 1.0.0+git69-gdb2670326-1

26.02.2018 04:24
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 0.14.0-1 to 1.0.0+git69-gdb2670326-1

26.02.2018 04:20
Debian 10.0 icon

Debian 10.0 buster/main: Version 0.14.0-1 introduced

24.12.2017 22:11
  • Fresh upstream release
    • dropped debian/patches/up*
    • should not FTBFS any longer (Closes: #848777)
  • debian/control
    • boosted debhelper to 9
    • boosted debian policy to 4.1.2
    • added python-packaging to build-depends and depends
    • downgraded cfflib to Recommends and removed from B-Depends (no longer developed etc)
  • debian/patches
    • make sphinx.ext.imgmath optionally needed
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Version 0.14.0-1 introduced

20.12.2017 07:06
  • Fresh upstream release
    • dropped debian/patches/up*
    • should not FTBFS any longer (Closes: #848777)
  • debian/control
    • boosted debhelper to 9
    • boosted debian policy to 4.1.2
    • added python-packaging to build-depends and depends
    • downgraded cfflib to Recommends and removed from B-Depends (no longer developed etc)
  • debian/patches
    • make sphinx.ext.imgmath optionally needed
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 0.14.0-1 removed

20.12.2017 06:12
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 0.14.0-1 introduced

20.12.2017 04:10
  • Fresh upstream release
    • dropped debian/patches/up*
    • should not FTBFS any longer (Closes: #848777)
  • debian/control
    • boosted debhelper to 9
    • boosted debian policy to 4.1.2
    • added python-packaging to build-depends and depends
    • downgraded cfflib to Recommends and removed from B-Depends (no longer developed etc)
  • debian/patches
    • make sphinx.ext.imgmath optionally needed
Debian experimental icon

Debian experimental experimental/main: Version 0.13.1-1 removed

19.12.2017 22:00
Debian experimental icon

Debian experimental experimental/main: Version 0.13.1-1 introduced

10.11.2017 09:51
  • Fresh upstream release
    • switched to use py.test instead of nosetests
  • debian/control
    • added python-click and python-configparser
  • Dropped debian/patches/changeset_bf-install-use-resources.diff since upstream migrated to setuptools and issue with permissions should be resolved (see https://github.com/nipy/nipype/pull/1565)
  • debian/rules
    • set LC_ALL=C.UTF-8 while building docs
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial/universe: Version 0.11.0-1 introduced

10.11.2017 08:41
  • Fresh upstream release
  • debian/rules
    • skip test_mesh_ops since needs X and also seems to be incompatible with our mayavi2 4.3.1 (https://github.com/nipy/nipype/issues/1218)
    • needed to drop --with-doctest so that test_mesh_ops doesn't get imported anyhow
  • debian/control
    • recommend mayavi2 and python-xvfbwrapper as needed by some interfaces

Related packages

python - interactive high-level object-oriented language (default version)
python-nipype-doc - Neuroimaging data analysis pipelines in Python -- documentation
⇧ Top